## org.omg.CORBA
Class PolicyListHelper

    java.lang.Object
      |
      +--org.omg.CORBA.PolicyListHelper

public class PolicyListHelper
extends java.lang.Object

Helper class for : PolicyList

Author:
  OpenORB Compiler

Constructor Summary
`PolicyListHelper()`

Method Summary
`static Policy[]` `extract(Any a)` Extract PolicyList from an any
`static java.lang.String` `id()` Return the PolicyList IDL ID
`static void` `insert(Any a, Policy[] t)` Insert PolicyList into an any
`static Policy[]` `read(InputStream istream)` Read PolicyList from a marshalled stream
`static TypeCode` `type()` Return the PolicyList TypeCode
`static void` `write(OutputStream ostream, Policy[] value)` Write PolicyList into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PolicyListHelper

    public PolicyListHelper()

Method Detail

### insert

    public static void insert(Any a,
                              Policy[] t)

  Insert PolicyList into an any
  Parameters:
    `a` - an any
    `t` - PolicyList value

### extract

    public static Policy[] extract(Any a)

  Extract PolicyList from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted PolicyList value

### type

    public static TypeCode type()

  Return the PolicyList TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the PolicyList IDL ID
  Returns:
    an ID

### read

    public static Policy[] read(InputStream istream)

  Read PolicyList from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed PolicyList value

### write

    public static void write(OutputStream ostream,
                             Policy[] value)

  Write PolicyList into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - PolicyList value